;;; jx.el -- JsonInteractiveExperience for emacs  -*- lexical-binding: t; -*-
;;; Commentary:
;;; Code:

(require 'stdio)

(defun jx-test ()
  "Test the jx stuff."
  (interactive)
  (let ((process (stdio-call (list "cat" "testfile"))))
    (while-let ((line (stdio-read-line process)))
      (message (format "jx-test: %s" line)))))

(defun jx-text-json ()
  "test the jx json input."
  (interactive)
  (let ((process (stdio-call (list "cat" "json-test"))))
    (while-let ((object (stdio-read-json process
                                         :object-type 'plist
                                         :array-type 'list)))
      (message (format "jx-json-object: %s" object)))))

(provide 'jx)
;;; jx.el ends here
